@import 'global';

.texteSection #basPage .combat {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    width: 100%;
    margin-bottom: 30px;
    color: $blanc;
    @include max980 {
        flex-wrap: wrap;
    }
    @include max479 {
        gap: 10px;
    }
    .des-conteneur {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        &.conteneur-centre {
            width: 100%;
        }
        @include max980 {
            width: 100%;
        }
        & > p {
            @include max980 {
                order: 1;
            }
        }
    }
    .personnage {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 15px;
        @include max980 {
            max-width: 300px;
            order: -1;
        }
        @include max479 {
            width: calc(50% - 5px);
        }
    }
    .dice {
        display: flex;
        justify-content: center;
    }
    img {
        width: 100%;
        max-width: 200px;
        height: 200px;
        object-fit: contain;
    }
    p {
        margin: 0;
        text-align: center;
        &.nom, .force-attaque {
            font-weight: bold;
        }
        &.nom {
            text-transform: capitalize;
        }
        .force-attaque {
            display: inline-block;
            animation: 1.2s anim-popoutin ease-in-out ;
        }
    }
}

@keyframes anim-popoutin {
    0%, 100% {
        transform: scale(1);
        text-shadow: none;
    }
    50% {
        transform: scale(2);
        text-shadow: 3px 10px 5px rgba(0, 0, 0, 0.5);
    }
}